Bug 206169 - additional php modules?
additional php modules?
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: php (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-12 13:02 EDT by Aleksandar Milivojevic
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-11 10:21:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksandar Milivojevic 2006-09-12 13:02:24 EDT
Description of problem:
Is there any chance more PHP subpackages (modules) will be included in RHEL5? 
Too often I'm rebuilding PHP SRPM just to get couple of modules that Red Hat
decided not to build.  All of them build and work just fine, and are well
tested.  These include (but are not limited to) php-mcal, php-mhash and
php-mcrypt.  Why is the list of modules that are distributed as part of RHEL so
darn small?

Version-Release number of selected component (if applicable):
php-5.1.4-8.1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Joe Orton 2007-04-11 10:21:18 EDT
Thanks for the report.  The mcrypt/mhash extensions depend on libraries which
are not included in Red Hat Enterprise Linux; there are no plans to include
these currently.  Standalone packages can be made for extensions not included in
the PHP package itself, to avoid rebuilding the PHP source RPM.

Note You need to log in before you can comment on or make changes to this bug.